IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/84
Addresses2^44
/64 networksPart of one
- Network
2001:db8::3:4000:0:0/84- First address
2001:db8::3:4000:0:0- Last address
2001:db8::3:4fff:ffff:ffff- Addresses
- 17,592,186,044,416 (2^44)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:0003:4000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
4.3.0.0.0.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8::3:4000:0:0/84 makes 4,096 subnets of /96; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8::3:4000:0:0/96 | 2001:db8::3:4000:ffff:ffff |
| 2 | 2001:db8::3:4001:0:0/96 | 2001:db8::3:4001:ffff:ffff |
| 3 | 2001:db8::3:4002:0:0/96 | 2001:db8::3:4002:ffff:ffff |
| 4 | 2001:db8::3:4003:0:0/96 | 2001:db8::3:4003:ffff:ffff |
| 5 | 2001:db8::3:4004:0:0/96 | 2001:db8::3:4004:ffff:ffff |
| 6 | 2001:db8::3:4005:0:0/96 | 2001:db8::3:4005:ffff:ffff |
| 7 | 2001:db8::3:4006:0:0/96 | 2001:db8::3:4006:ffff:ffff |
| 8 | 2001:db8::3:4007:0:0/96 | 2001:db8::3:4007:ffff:ffff |
| 9 | 2001:db8::3:4008:0:0/96 | 2001:db8::3:4008:ffff:ffff |
| 10 | 2001:db8::3:4009:0:0/96 | 2001:db8::3:4009:ffff:ffff |
| 11 | 2001:db8::3:400a:0:0/96 | 2001:db8::3:400a:ffff:ffff |
| 12 | 2001:db8::3:400b:0:0/96 | 2001:db8::3:400b:ffff:ffff |
| 13 | 2001:db8::3:400c:0:0/96 | 2001:db8::3:400c:ffff:ffff |
| 14 | 2001:db8::3:400d:0:0/96 | 2001:db8::3:400d:ffff:ffff |
| 15 | 2001:db8::3:400e:0:0/96 | 2001:db8::3:400e:ffff:ffff |
| 16 | 2001:db8::3:400f:0:0/96 | 2001:db8::3:400f:ffff:ffff |
| 17 | 2001:db8::3:4010:0:0/96 | 2001:db8::3:4010:ffff:ffff |
| 18 | 2001:db8::3:4011:0:0/96 | 2001:db8::3:4011:ffff:ffff |
| 19 | 2001:db8::3:4012:0:0/96 | 2001:db8::3:4012:ffff:ffff |
| 20 | 2001:db8::3:4013:0:0/96 | 2001:db8::3:4013:ffff:ffff |
| 21 | 2001:db8::3:4014:0:0/96 | 2001:db8::3:4014:ffff:ffff |
| 22 | 2001:db8::3:4015:0:0/96 | 2001:db8::3:4015:ffff:ffff |
| 23 | 2001:db8::3:4016:0:0/96 | 2001:db8::3:4016:ffff:ffff |
| 24 | 2001:db8::3:4017:0:0/96 | 2001:db8::3:4017:ffff:ffff |
| 25 | 2001:db8::3:4018:0:0/96 | 2001:db8::3:4018:ffff:ffff |
| 26 | 2001:db8::3:4019:0:0/96 | 2001:db8::3:4019:ffff:ffff |
| 27 | 2001:db8::3:401a:0:0/96 | 2001:db8::3:401a:ffff:ffff |
| 28 | 2001:db8::3:401b:0:0/96 | 2001:db8::3:401b:ffff:ffff |
| 29 | 2001:db8::3:401c:0:0/96 | 2001:db8::3:401c:ffff:ffff |
| 30 | 2001:db8::3:401d:0:0/96 | 2001:db8::3:401d:ffff:ffff |
| 31 | 2001:db8::3:401e:0:0/96 | 2001:db8::3:401e:ffff:ffff |
| 32 | 2001:db8::3:401f:0:0/96 | 2001:db8::3:401f:ffff:ffff |
| 33 | 2001:db8::3:4020:0:0/96 | 2001:db8::3:4020:ffff:ffff |
| 34 | 2001:db8::3:4021:0:0/96 | 2001:db8::3:4021:ffff:ffff |
| 35 | 2001:db8::3:4022:0:0/96 | 2001:db8::3:4022:ffff:ffff |
| 36 | 2001:db8::3:4023:0:0/96 | 2001:db8::3:4023:ffff:ffff |
| 37 | 2001:db8::3:4024:0:0/96 | 2001:db8::3:4024:ffff:ffff |
| 38 | 2001:db8::3:4025:0:0/96 | 2001:db8::3:4025:ffff:ffff |
| 39 | 2001:db8::3:4026:0:0/96 | 2001:db8::3:4026:ffff:ffff |
| 40 | 2001:db8::3:4027:0:0/96 | 2001:db8::3:4027:ffff:ffff |
| 41 | 2001:db8::3:4028:0:0/96 | 2001:db8::3:4028:ffff:ffff |
| 42 | 2001:db8::3:4029:0:0/96 | 2001:db8::3:4029:ffff:ffff |
| 43 | 2001:db8::3:402a:0:0/96 | 2001:db8::3:402a:ffff:ffff |
| 44 | 2001:db8::3:402b:0:0/96 | 2001:db8::3:402b:ffff:ffff |
| 45 | 2001:db8::3:402c:0:0/96 | 2001:db8::3:402c:ffff:ffff |
| 46 | 2001:db8::3:402d:0:0/96 | 2001:db8::3:402d:ffff:ffff |
| 47 | 2001:db8::3:402e:0:0/96 | 2001:db8::3:402e:ffff:ffff |
| 48 | 2001:db8::3:402f:0:0/96 | 2001:db8::3:402f:ffff:ffff |
| 49 | 2001:db8::3:4030:0:0/96 | 2001:db8::3:4030:ffff:ffff |
| 50 | 2001:db8::3:4031:0:0/96 | 2001:db8::3:4031:ffff:ffff |
| 51 | 2001:db8::3:4032:0:0/96 | 2001:db8::3:4032:ffff:ffff |
| 52 | 2001:db8::3:4033:0:0/96 | 2001:db8::3:4033:ffff:ffff |
| 53 | 2001:db8::3:4034:0:0/96 | 2001:db8::3:4034:ffff:ffff |
| 54 | 2001:db8::3:4035:0:0/96 | 2001:db8::3:4035:ffff:ffff |
| 55 | 2001:db8::3:4036:0:0/96 | 2001:db8::3:4036:ffff:ffff |
| 56 | 2001:db8::3:4037:0:0/96 | 2001:db8::3:4037:ffff:ffff |
| 57 | 2001:db8::3:4038:0:0/96 | 2001:db8::3:4038:ffff:ffff |
| 58 | 2001:db8::3:4039:0:0/96 | 2001:db8::3:4039:ffff:ffff |
| 59 | 2001:db8::3:403a:0:0/96 | 2001:db8::3:403a:ffff:ffff |
| 60 | 2001:db8::3:403b:0:0/96 | 2001:db8::3:403b:ffff:ffff |
| 61 | 2001:db8::3:403c:0:0/96 | 2001:db8::3:403c:ffff:ffff |
| 62 | 2001:db8::3:403d:0:0/96 | 2001:db8::3:403d:ffff:ffff |
| 63 | 2001:db8::3:403e:0:0/96 | 2001:db8::3:403e:ffff:ffff |
| 64 | 2001:db8::3:403f:0:0/96 | 2001:db8::3:403f:ffff:ffff |
| 65 | 2001:db8::3:4040:0:0/96 | 2001:db8::3:4040:ffff:ffff |
| 66 | 2001:db8::3:4041:0:0/96 | 2001:db8::3:4041:ffff:ffff |
| 67 | 2001:db8::3:4042:0:0/96 | 2001:db8::3:4042:ffff:ffff |
| 68 | 2001:db8::3:4043:0:0/96 | 2001:db8::3:4043:ffff:ffff |
| 69 | 2001:db8::3:4044:0:0/96 | 2001:db8::3:4044:ffff:ffff |
| 70 | 2001:db8::3:4045:0:0/96 | 2001:db8::3:4045:ffff:ffff |
| 71 | 2001:db8::3:4046:0:0/96 | 2001:db8::3:4046:ffff:ffff |
| 72 | 2001:db8::3:4047:0:0/96 | 2001:db8::3:4047:ffff:ffff |
| 73 | 2001:db8::3:4048:0:0/96 | 2001:db8::3:4048:ffff:ffff |
| 74 | 2001:db8::3:4049:0:0/96 | 2001:db8::3:4049:ffff:ffff |
| 75 | 2001:db8::3:404a:0:0/96 | 2001:db8::3:404a:ffff:ffff |
| 76 | 2001:db8::3:404b:0:0/96 | 2001:db8::3:404b:ffff:ffff |
| 77 | 2001:db8::3:404c:0:0/96 | 2001:db8::3:404c:ffff:ffff |
| 78 | 2001:db8::3:404d:0:0/96 | 2001:db8::3:404d:ffff:ffff |
| 79 | 2001:db8::3:404e:0:0/96 | 2001:db8::3:404e:ffff:ffff |
| 80 | 2001:db8::3:404f:0:0/96 | 2001:db8::3:404f:ffff:ffff |
| 81 | 2001:db8::3:4050:0:0/96 | 2001:db8::3:4050:ffff:ffff |
| 82 | 2001:db8::3:4051:0:0/96 | 2001:db8::3:4051:ffff:ffff |
| 83 | 2001:db8::3:4052:0:0/96 | 2001:db8::3:4052:ffff:ffff |
| 84 | 2001:db8::3:4053:0:0/96 | 2001:db8::3:4053:ffff:ffff |
| 85 | 2001:db8::3:4054:0:0/96 | 2001:db8::3:4054:ffff:ffff |
| 86 | 2001:db8::3:4055:0:0/96 | 2001:db8::3:4055:ffff:ffff |
| 87 | 2001:db8::3:4056:0:0/96 | 2001:db8::3:4056:ffff:ffff |
| 88 | 2001:db8::3:4057:0:0/96 | 2001:db8::3:4057:ffff:ffff |
| 89 | 2001:db8::3:4058:0:0/96 | 2001:db8::3:4058:ffff:ffff |
| 90 | 2001:db8::3:4059:0:0/96 | 2001:db8::3:4059:ffff:ffff |
| 91 | 2001:db8::3:405a:0:0/96 | 2001:db8::3:405a:ffff:ffff |
| 92 | 2001:db8::3:405b:0:0/96 | 2001:db8::3:405b:ffff:ffff |
| 93 | 2001:db8::3:405c:0:0/96 | 2001:db8::3:405c:ffff:ffff |
| 94 | 2001:db8::3:405d:0:0/96 | 2001:db8::3:405d:ffff:ffff |
| 95 | 2001:db8::3:405e:0:0/96 | 2001:db8::3:405e:ffff:ffff |
| 96 | 2001:db8::3:405f:0:0/96 | 2001:db8::3:405f:ffff:ffff |
| 97 | 2001:db8::3:4060:0:0/96 | 2001:db8::3:4060:ffff:ffff |
| 98 | 2001:db8::3:4061:0:0/96 | 2001:db8::3:4061:ffff:ffff |
| 99 | 2001:db8::3:4062:0:0/96 | 2001:db8::3:4062:ffff:ffff |
| 100 | 2001:db8::3:4063:0:0/96 | 2001:db8::3:4063:ffff:ffff |
| 101 | 2001:db8::3:4064:0:0/96 | 2001:db8::3:4064:ffff:ffff |
| 102 | 2001:db8::3:4065:0:0/96 | 2001:db8::3:4065:ffff:ffff |
| 103 | 2001:db8::3:4066:0:0/96 | 2001:db8::3:4066:ffff:ffff |
| 104 | 2001:db8::3:4067:0:0/96 | 2001:db8::3:4067:ffff:ffff |
| 105 | 2001:db8::3:4068:0:0/96 | 2001:db8::3:4068:ffff:ffff |
| 106 | 2001:db8::3:4069:0:0/96 | 2001:db8::3:4069:ffff:ffff |
| 107 | 2001:db8::3:406a:0:0/96 | 2001:db8::3:406a:ffff:ffff |
| 108 | 2001:db8::3:406b:0:0/96 | 2001:db8::3:406b:ffff:ffff |
| 109 | 2001:db8::3:406c:0:0/96 | 2001:db8::3:406c:ffff:ffff |
| 110 | 2001:db8::3:406d:0:0/96 | 2001:db8::3:406d:ffff:ffff |
| 111 | 2001:db8::3:406e:0:0/96 | 2001:db8::3:406e:ffff:ffff |
| 112 | 2001:db8::3:406f:0:0/96 | 2001:db8::3:406f:ffff:ffff |
| 113 | 2001:db8::3:4070:0:0/96 | 2001:db8::3:4070:ffff:ffff |
| 114 | 2001:db8::3:4071:0:0/96 | 2001:db8::3:4071:ffff:ffff |
| 115 | 2001:db8::3:4072:0:0/96 | 2001:db8::3:4072:ffff:ffff |
| 116 | 2001:db8::3:4073:0:0/96 | 2001:db8::3:4073:ffff:ffff |
| 117 | 2001:db8::3:4074:0:0/96 | 2001:db8::3:4074:ffff:ffff |
| 118 | 2001:db8::3:4075:0:0/96 | 2001:db8::3:4075:ffff:ffff |
| 119 | 2001:db8::3:4076:0:0/96 | 2001:db8::3:4076:ffff:ffff |
| 120 | 2001:db8::3:4077:0:0/96 | 2001:db8::3:4077:ffff:ffff |
| 121 | 2001:db8::3:4078:0:0/96 | 2001:db8::3:4078:ffff:ffff |
| 122 | 2001:db8::3:4079:0:0/96 | 2001:db8::3:4079:ffff:ffff |
| 123 | 2001:db8::3:407a:0:0/96 | 2001:db8::3:407a:ffff:ffff |
| 124 | 2001:db8::3:407b:0:0/96 | 2001:db8::3:407b:ffff:ffff |
| 125 | 2001:db8::3:407c:0:0/96 | 2001:db8::3:407c:ffff:ffff |
| 126 | 2001:db8::3:407d:0:0/96 | 2001:db8::3:407d:ffff:ffff |
| 127 | 2001:db8::3:407e:0:0/96 | 2001:db8::3:407e:ffff:ffff |
| 128 | 2001:db8::3:407f:0:0/96 | 2001:db8::3:407f:ffff:ffff |
| 129 | 2001:db8::3:4080:0:0/96 | 2001:db8::3:4080:ffff:ffff |
| 130 | 2001:db8::3:4081:0:0/96 | 2001:db8::3:4081:ffff:ffff |
| 131 | 2001:db8::3:4082:0:0/96 | 2001:db8::3:4082:ffff:ffff |
| 132 | 2001:db8::3:4083:0:0/96 | 2001:db8::3:4083:ffff:ffff |
| 133 | 2001:db8::3:4084:0:0/96 | 2001:db8::3:4084:ffff:ffff |
| 134 | 2001:db8::3:4085:0:0/96 | 2001:db8::3:4085:ffff:ffff |
| 135 | 2001:db8::3:4086:0:0/96 | 2001:db8::3:4086:ffff:ffff |
| 136 | 2001:db8::3:4087:0:0/96 | 2001:db8::3:4087:ffff:ffff |
| 137 | 2001:db8::3:4088:0:0/96 | 2001:db8::3:4088:ffff:ffff |
| 138 | 2001:db8::3:4089:0:0/96 | 2001:db8::3:4089:ffff:ffff |
| 139 | 2001:db8::3:408a:0:0/96 | 2001:db8::3:408a:ffff:ffff |
| 140 | 2001:db8::3:408b:0:0/96 | 2001:db8::3:408b:ffff:ffff |
| 141 | 2001:db8::3:408c:0:0/96 | 2001:db8::3:408c:ffff:ffff |
| 142 | 2001:db8::3:408d:0:0/96 | 2001:db8::3:408d:ffff:ffff |
| 143 | 2001:db8::3:408e:0:0/96 | 2001:db8::3:408e:ffff:ffff |
| 144 | 2001:db8::3:408f:0:0/96 | 2001:db8::3:408f:ffff:ffff |
| 145 | 2001:db8::3:4090:0:0/96 | 2001:db8::3:4090:ffff:ffff |
| 146 | 2001:db8::3:4091:0:0/96 | 2001:db8::3:4091:ffff:ffff |
| 147 | 2001:db8::3:4092:0:0/96 | 2001:db8::3:4092:ffff:ffff |
| 148 | 2001:db8::3:4093:0:0/96 | 2001:db8::3:4093:ffff:ffff |
| 149 | 2001:db8::3:4094:0:0/96 | 2001:db8::3:4094:ffff:ffff |
| 150 | 2001:db8::3:4095:0:0/96 | 2001:db8::3:4095:ffff:ffff |
| 151 | 2001:db8::3:4096:0:0/96 | 2001:db8::3:4096:ffff:ffff |
| 152 | 2001:db8::3:4097:0:0/96 | 2001:db8::3:4097:ffff:ffff |
| 153 | 2001:db8::3:4098:0:0/96 | 2001:db8::3:4098:ffff:ffff |
| 154 | 2001:db8::3:4099:0:0/96 | 2001:db8::3:4099:ffff:ffff |
| 155 | 2001:db8::3:409a:0:0/96 | 2001:db8::3:409a:ffff:ffff |
| 156 | 2001:db8::3:409b:0:0/96 | 2001:db8::3:409b:ffff:ffff |
| 157 | 2001:db8::3:409c:0:0/96 | 2001:db8::3:409c:ffff:ffff |
| 158 | 2001:db8::3:409d:0:0/96 | 2001:db8::3:409d:ffff:ffff |
| 159 | 2001:db8::3:409e:0:0/96 | 2001:db8::3:409e:ffff:ffff |
| 160 | 2001:db8::3:409f:0:0/96 | 2001:db8::3:409f:ffff:ffff |
| 161 | 2001:db8::3:40a0:0:0/96 | 2001:db8::3:40a0:ffff:ffff |
| 162 | 2001:db8::3:40a1:0:0/96 | 2001:db8::3:40a1:ffff:ffff |
| 163 | 2001:db8::3:40a2:0:0/96 | 2001:db8::3:40a2:ffff:ffff |
| 164 | 2001:db8::3:40a3:0:0/96 | 2001:db8::3:40a3:ffff:ffff |
| 165 | 2001:db8::3:40a4:0:0/96 | 2001:db8::3:40a4:ffff:ffff |
| 166 | 2001:db8::3:40a5:0:0/96 | 2001:db8::3:40a5:ffff:ffff |
| 167 | 2001:db8::3:40a6:0:0/96 | 2001:db8::3:40a6:ffff:ffff |
| 168 | 2001:db8::3:40a7:0:0/96 | 2001:db8::3:40a7:ffff:ffff |
| 169 | 2001:db8::3:40a8:0:0/96 | 2001:db8::3:40a8:ffff:ffff |
| 170 | 2001:db8::3:40a9:0:0/96 | 2001:db8::3:40a9:ffff:ffff |
| 171 | 2001:db8::3:40aa:0:0/96 | 2001:db8::3:40aa:ffff:ffff |
| 172 | 2001:db8::3:40ab:0:0/96 | 2001:db8::3:40ab:ffff:ffff |
| 173 | 2001:db8::3:40ac:0:0/96 | 2001:db8::3:40ac:ffff:ffff |
| 174 | 2001:db8::3:40ad:0:0/96 | 2001:db8::3:40ad:ffff:ffff |
| 175 | 2001:db8::3:40ae:0:0/96 | 2001:db8::3:40ae:ffff:ffff |
| 176 | 2001:db8::3:40af:0:0/96 | 2001:db8::3:40af:ffff:ffff |
| 177 | 2001:db8::3:40b0:0:0/96 | 2001:db8::3:40b0:ffff:ffff |
| 178 | 2001:db8::3:40b1:0:0/96 | 2001:db8::3:40b1:ffff:ffff |
| 179 | 2001:db8::3:40b2:0:0/96 | 2001:db8::3:40b2:ffff:ffff |
| 180 | 2001:db8::3:40b3:0:0/96 | 2001:db8::3:40b3:ffff:ffff |
| 181 | 2001:db8::3:40b4:0:0/96 | 2001:db8::3:40b4:ffff:ffff |
| 182 | 2001:db8::3:40b5:0:0/96 | 2001:db8::3:40b5:ffff:ffff |
| 183 | 2001:db8::3:40b6:0:0/96 | 2001:db8::3:40b6:ffff:ffff |
| 184 | 2001:db8::3:40b7:0:0/96 | 2001:db8::3:40b7:ffff:ffff |
| 185 | 2001:db8::3:40b8:0:0/96 | 2001:db8::3:40b8:ffff:ffff |
| 186 | 2001:db8::3:40b9:0:0/96 | 2001:db8::3:40b9:ffff:ffff |
| 187 | 2001:db8::3:40ba:0:0/96 | 2001:db8::3:40ba:ffff:ffff |
| 188 | 2001:db8::3:40bb:0:0/96 | 2001:db8::3:40bb:ffff:ffff |
| 189 | 2001:db8::3:40bc:0:0/96 | 2001:db8::3:40bc:ffff:ffff |
| 190 | 2001:db8::3:40bd:0:0/96 | 2001:db8::3:40bd:ffff:ffff |
| 191 | 2001:db8::3:40be:0:0/96 | 2001:db8::3:40be:ffff:ffff |
| 192 | 2001:db8::3:40bf:0:0/96 | 2001:db8::3:40bf:ffff:ffff |
| 193 | 2001:db8::3:40c0:0:0/96 | 2001:db8::3:40c0:ffff:ffff |
| 194 | 2001:db8::3:40c1:0:0/96 | 2001:db8::3:40c1:ffff:ffff |
| 195 | 2001:db8::3:40c2:0:0/96 | 2001:db8::3:40c2:ffff:ffff |
| 196 | 2001:db8::3:40c3:0:0/96 | 2001:db8::3:40c3:ffff:ffff |
| 197 | 2001:db8::3:40c4:0:0/96 | 2001:db8::3:40c4:ffff:ffff |
| 198 | 2001:db8::3:40c5:0:0/96 | 2001:db8::3:40c5:ffff:ffff |
| 199 | 2001:db8::3:40c6:0:0/96 | 2001:db8::3:40c6:ffff:ffff |
| 200 | 2001:db8::3:40c7:0:0/96 | 2001:db8::3:40c7:ffff:ffff |
| 201 | 2001:db8::3:40c8:0:0/96 | 2001:db8::3:40c8:ffff:ffff |
| 202 | 2001:db8::3:40c9:0:0/96 | 2001:db8::3:40c9:ffff:ffff |
| 203 | 2001:db8::3:40ca:0:0/96 | 2001:db8::3:40ca:ffff:ffff |
| 204 | 2001:db8::3:40cb:0:0/96 | 2001:db8::3:40cb:ffff:ffff |
| 205 | 2001:db8::3:40cc:0:0/96 | 2001:db8::3:40cc:ffff:ffff |
| 206 | 2001:db8::3:40cd:0:0/96 | 2001:db8::3:40cd:ffff:ffff |
| 207 | 2001:db8::3:40ce:0:0/96 | 2001:db8::3:40ce:ffff:ffff |
| 208 | 2001:db8::3:40cf:0:0/96 | 2001:db8::3:40cf:ffff:ffff |
| 209 | 2001:db8::3:40d0:0:0/96 | 2001:db8::3:40d0:ffff:ffff |
| 210 | 2001:db8::3:40d1:0:0/96 | 2001:db8::3:40d1:ffff:ffff |
| 211 | 2001:db8::3:40d2:0:0/96 | 2001:db8::3:40d2:ffff:ffff |
| 212 | 2001:db8::3:40d3:0:0/96 | 2001:db8::3:40d3:ffff:ffff |
| 213 | 2001:db8::3:40d4:0:0/96 | 2001:db8::3:40d4:ffff:ffff |
| 214 | 2001:db8::3:40d5:0:0/96 | 2001:db8::3:40d5:ffff:ffff |
| 215 | 2001:db8::3:40d6:0:0/96 | 2001:db8::3:40d6:ffff:ffff |
| 216 | 2001:db8::3:40d7:0:0/96 | 2001:db8::3:40d7:ffff:ffff |
| 217 | 2001:db8::3:40d8:0:0/96 | 2001:db8::3:40d8:ffff:ffff |
| 218 | 2001:db8::3:40d9:0:0/96 | 2001:db8::3:40d9:ffff:ffff |
| 219 | 2001:db8::3:40da:0:0/96 | 2001:db8::3:40da:ffff:ffff |
| 220 | 2001:db8::3:40db:0:0/96 | 2001:db8::3:40db:ffff:ffff |
| 221 | 2001:db8::3:40dc:0:0/96 | 2001:db8::3:40dc:ffff:ffff |
| 222 | 2001:db8::3:40dd:0:0/96 | 2001:db8::3:40dd:ffff:ffff |
| 223 | 2001:db8::3:40de:0:0/96 | 2001:db8::3:40de:ffff:ffff |
| 224 | 2001:db8::3:40df:0:0/96 | 2001:db8::3:40df:ffff:ffff |
| 225 | 2001:db8::3:40e0:0:0/96 | 2001:db8::3:40e0:ffff:ffff |
| 226 | 2001:db8::3:40e1:0:0/96 | 2001:db8::3:40e1:ffff:ffff |
| 227 | 2001:db8::3:40e2:0:0/96 | 2001:db8::3:40e2:ffff:ffff |
| 228 | 2001:db8::3:40e3:0:0/96 | 2001:db8::3:40e3:ffff:ffff |
| 229 | 2001:db8::3:40e4:0:0/96 | 2001:db8::3:40e4:ffff:ffff |
| 230 | 2001:db8::3:40e5:0:0/96 | 2001:db8::3:40e5:ffff:ffff |
| 231 | 2001:db8::3:40e6:0:0/96 | 2001:db8::3:40e6:ffff:ffff |
| 232 | 2001:db8::3:40e7:0:0/96 | 2001:db8::3:40e7:ffff:ffff |
| 233 | 2001:db8::3:40e8:0:0/96 | 2001:db8::3:40e8:ffff:ffff |
| 234 | 2001:db8::3:40e9:0:0/96 | 2001:db8::3:40e9:ffff:ffff |
| 235 | 2001:db8::3:40ea:0:0/96 | 2001:db8::3:40ea:ffff:ffff |
| 236 | 2001:db8::3:40eb:0:0/96 | 2001:db8::3:40eb:ffff:ffff |
| 237 | 2001:db8::3:40ec:0:0/96 | 2001:db8::3:40ec:ffff:ffff |
| 238 | 2001:db8::3:40ed:0:0/96 | 2001:db8::3:40ed:ffff:ffff |
| 239 | 2001:db8::3:40ee:0:0/96 | 2001:db8::3:40ee:ffff:ffff |
| 240 | 2001:db8::3:40ef:0:0/96 | 2001:db8::3:40ef:ffff:ffff |
| 241 | 2001:db8::3:40f0:0:0/96 | 2001:db8::3:40f0:ffff:ffff |
| 242 | 2001:db8::3:40f1:0:0/96 | 2001:db8::3:40f1:ffff:ffff |
| 243 | 2001:db8::3:40f2:0:0/96 | 2001:db8::3:40f2:ffff:ffff |
| 244 | 2001:db8::3:40f3:0:0/96 | 2001:db8::3:40f3:ffff:ffff |
| 245 | 2001:db8::3:40f4:0:0/96 | 2001:db8::3:40f4:ffff:ffff |
| 246 | 2001:db8::3:40f5:0:0/96 | 2001:db8::3:40f5:ffff:ffff |
| 247 | 2001:db8::3:40f6:0:0/96 | 2001:db8::3:40f6:ffff:ffff |
| 248 | 2001:db8::3:40f7:0:0/96 | 2001:db8::3:40f7:ffff:ffff |
| 249 | 2001:db8::3:40f8:0:0/96 | 2001:db8::3:40f8:ffff:ffff |
| 250 | 2001:db8::3:40f9:0:0/96 | 2001:db8::3:40f9:ffff:ffff |
| 251 | 2001:db8::3:40fa:0:0/96 | 2001:db8::3:40fa:ffff:ffff |
| 252 | 2001:db8::3:40fb:0:0/96 | 2001:db8::3:40fb:ffff:ffff |
| 253 | 2001:db8::3:40fc:0:0/96 | 2001:db8::3:40fc:ffff:ffff |
| 254 | 2001:db8::3:40fd:0:0/96 | 2001:db8::3:40fd:ffff:ffff |
| 255 | 2001:db8::3:40fe:0:0/96 | 2001:db8::3:40fe:ffff:ffff |
| 256 | 2001:db8::3:40ff:0:0/96 | 2001:db8::3:40ff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |